<?php
require_once 'connect.php';
require_once 'inc/financeiro_lancamento_titulos.php';
require_once 'inc/movimentacoes_class.php';

if(!empty($_GET)){
  $id_pedido_venda_liberado = base64_decode($_GET['id']);
}


//echo "Id pedido:" . $id_pedido_venda;
 
  $consulta = "select id_pedido_original from erpc_pedidos_venda_liberados where id = $id_pedido_venda_liberado;";
  $result = mysqli_query($conexao, $consulta);
  if(mysqli_num_rows($result) > 0){
      while($row = mysqli_fetch_assoc($result)){
          $id_pedido_original = $row['id_pedido_original'];
      }
  }
  if(isset($id_pedido_original)){
      $sql = "update erpc_pedidos_venda set st_ativo = 0  where id = $id_pedido_original";
      
      $sql2 = "update erpc_pedidos_venda_liberados set st_ativo = 0  where id = $id_pedido_venda_liberado";
      
      $stmt 	= mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao));
      mysqli_stmt_execute($stmt) 	or die(mysqli_error($conexao));
      
      $stmt2 	= mysqli_prepare($conexao, $sql2) or die(mysqli_error($conexao));
      mysqli_stmt_execute($stmt2) 	or die(mysqli_error($conexao));
      
      $movimentacao = new Movimentacao();
      $movimentacao->entradaEstoque($id_pedido_venda_liberado, 3);
      cancelaTituloFinanceiro($id_pedido_venda_liberado);
      
  }
  
    header("Location:erpc_faturar_pedidos_filter.php");


?>